using System;

using OpenTK;
using OpenTK.Graphics;
using OpenTK.Graphics.OpenGL;
using OpenTK.Input;

namespace PlanetExpress
{
	public class SwichToScreenEventArgs : EventArgs {
		public SwichToScreenEventArgs(CustomGameScreenClass screen) {
			Screen = screen;	
		}
		public CustomGameScreenClass Screen;
	}
		
	
	public class CustomGameScreenClass {		
		public CustomGameScreenClass() {
			
		}
		
		public event EventHandler<SwichToScreenEventArgs> SwithToScreen;
		public void DoSwithToScreen(CustomGameScreenClass s) {
			if (SwithToScreen != null)
				SwithToScreen(this,
				              new SwichToScreenEventArgs(s));
		}
		
		public virtual void Action(double time) {
			
		}
		
		public virtual void Draw() {
			
		}
		
		public virtual void MouseMove(object sender, MouseMoveEventArgs e) {
						
		}
		
		public virtual void MouseDown(object sender, MouseButtonEventArgs e) {
						
		}
		
		public virtual void MouseUp(object sender, MouseButtonEventArgs e) {
						
		}
		
		public virtual void MouseWheel(object sender, MouseWheelEventArgs e) {
						
		}
		
		public virtual void KeyDown(object sender, KeyboardKeyEventArgs e) {
			
		}
		
		public virtual void KeyUp(object sender, KeyboardKeyEventArgs e) {
			
		}
	}
}
